<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Booking\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class BookingReservation extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="BookingReservation"; 
		$this->Alias = "BookingReservation"; 

		$this->Name = new Property("Name", "Name", TEXTAREA,  false, $this->Alias); 
		$this->FirstName = new Property("FirstName", "FirstName", TEXTAREA,  false, $this->Alias); 
		$this->Email = new Property("Email", "Email", TEXTAREA,  false, $this->Alias); 
		$this->Tel = new Property("Tel", "Tel", TEXTAREA,  false, $this->Alias); 
		$this->DateStart = new Property("DateStart", "DateStart", DATEBOX,  false, $this->Alias); 
		$this->DateEnd = new Property("DateEnd", "DateEnd", TEXTAREA,  false, $this->Alias); 
		$this->Status = new Property("Status", "Status", NUMERICBOX,  false, $this->Alias); 
		$this->Data = new Property("Data", "Data", TEXTAREA,  false, $this->Alias); 
		
		$this->UserId = new Property("UserId", "UserId", NUMERICBOX, false, $this->Alias);

		//Partage entre application 
		$this->AddSharedProperty();

		//Creation de l entité 
		$this->Create(); 
	}
}
?>